libzypp: zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae > Struct Template Reference

libzypp 17.38.6

zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae > Struct Template Reference

`#include <zypp-core/ng/pipelines/algorithm.h>`

## Public Types
using | InputType = typename Container::value_type
using | OutputType = std::invoke_result_t<Transformation, InputType>

## Static Public Member Functions
template<typename C = Container>
static auto | execute (C &&container, Transformation transFunc, DefaultType defaultVal, Predicate predicate)

## Detailed Description

template<class Container, class Transformation, class Predicate, class DefaultType, typename sfinae>
struct zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae >

Definition at line 41 of file algorithm.h.

## Member Typedef Documentation

## ◆ InputType

template<class Container, class Transformation, class Predicate, class DefaultType, typename sfinae>

using zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae >::InputType = typename Container::value_type

Definition at line 43 of file algorithm.h.

## ◆ OutputType

template<class Container, class Transformation, class Predicate, class DefaultType, typename sfinae>

using zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae >::OutputType = std::invoke_result_t<Transformation, InputType>

Definition at line 46 of file algorithm.h.

## Member Function Documentation

## ◆ execute()

template<class Container, class Transformation, class Predicate, class DefaultType, typename sfinae>
template<typename C = Container>

auto zyppng::detail::FirstOfImpl< Container, Transformation, Predicate, DefaultType, sfinae >::execute | ( | C && | container,
|  | Transformation | transFunc,
|  | DefaultType | defaultVal,
|  | Predicate | predicate )
| inlinestatic

Definition at line 49 of file algorithm.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/algorithm.h